<?php
	include_once("etq_menu.txt");	
//inicio funcion conectar
	function conectar($db="<db>"){
		if (!($link = mysql_connect("<host>","<user>","<pass>"))){
			echo "Error conectando con el servidor";
			exit;
		}
	    if (!(mysql_select_db($db, $link))){
			echo "Error conectando a la base de datos";
			exit;
		}	
		return $link;
	}
	
//Cambia la fecha de formato mysql a dd/mm/aaaa
	function cambiaf_a_normal($fecha){ 
		ereg( "([0-9]{2,4})-([0-9]{1,2})-([0-9]{1,2})", $fecha, $mifecha); 
		$lafecha=$mifecha[3]."/".$mifecha[2]."/".$mifecha[1]; 
		return $lafecha; 
	} 

//Cambia fecha de formato dd/mm/aaa a formato mysql
	function cambiaf_a_mysql($fecha){ 
		ereg( "([0-9]{1,2})/([0-9]{1,2})/([0-9]{2,4})", $fecha, $mifecha); 
		$lafecha=$mifecha[3]."-".$mifecha[2]."-".$mifecha[1]; 
		return $lafecha; 
	}
	
//decide color
	function decide_color($i, $c1, $c2){
		if ($i > 0){
			$color = $c1;
		} 
		if ($i < 0){
			$color = $c2;
		}
	return $color;	
	}

//////////////////////////////////////////////////////
function paginar($table, $link, $pag, $cantidad=10)
{
	$menu=menu($_GET['lan']);
	if (!isset($_GET['pg']))$_GET['pg'] = 1; // $pg es la pagina actual	
	$inicial = $_GET['pg'] * $cantidad;
	
	$pegar = "SELECT * FROM $table LIMIT $inicial, $cantidad";
	$cad = mysql_query($pegar) or die (mysql_error());
	
	$contar = "SELECT * FROM $table ORDER BY id";
	$contarok= mysql_query($contar);
	$total_records = mysql_num_rows($contarok);
	$pages = intval($total_records / $cantidad);
?>
	<center>
		<table cellpadding="2" cellspacing="1" border="1" class="bbd">
			<tr>
	      	<td align="left" valign="top" class="wbd" bgcolor="#FFFFFF" colspan="2">
					<p>
						<?
						if ($_GET['pge'] <> 1)
						{
							$url = $_GET['pge'] - 1;
							echo "<a class='bbluel' href='".$pag."?pge=".$url."'>&laquo;". $menu['anterior']."</a> ";							
						} else {
							echo "&#174; Anterior ";
						}
						for ($i = 1; $i<($pages + 1); $i++) {
							if ($i == $_GET['pge']) {
								echo "<font face=Arial size=2 color=ff0000 class=bredl><b> $i </b></font>";
							}else {
								echo "<a class='bbluel' href='".$pag."?pge=".$i."'>".$i."</a> ";
							}
						}
	
						if ($pge < $pages) {
							$url = $_GET['pge'] + 1;
							echo "<a class='bbluel' href='".$pag."?pg=".$url."'>{$menu['siguiente']} &raquo;</a>";
						} else {
							echo " Siguiente &#175;";
						}
						?>
					</p>
				</td>
			</tr>
		</table>	
<?
}
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////

   function after ($this, $inthat)
   {
       if (!is_bool(strpos($inthat, $this)))
       return substr($inthat, strpos($inthat,$this)+strlen($this));
   };

   function after_last ($this, $inthat)
   {
       if (!is_bool(strrevpos($inthat, $this)))
       return substr($inthat, strrevpos($inthat, $this)+strlen($this));
   };

   function before ($this, $inthat)
   {
       return substr($inthat, 0, strpos($inthat, $this));
   };

   function before_last ($this, $inthat)
   {
       return substr($inthat, 0, strrevpos($inthat, $this));
   };

   function between ($this, $that, $inthat)
   {
     return before($that, after($this, $inthat));
   };

   function between_last ($this, $that, $inthat)
   {
     return after_last($this, before_last($that, $inthat));
   };

   // USES
   function strrevpos($instr, $needle)
   {
       $rev_pos = strpos (strrev($instr), strrev($needle));
       if ($rev_pos===false) return false;
       else return strlen($instr) - $rev_pos - strlen($needle);
   };
?>